Subject: Bug#3195: "/etc/rc.boot/0setserial" fails due to missing "serial" module

From: [email-masked] (Chris Hanson)
Date: Sun, 2 Jun 96 22:38 EDT

Package: kernel-image-1.3.100
Version: 1.3.100-0

The shell script "/etc/rc.boot/0setserial" does not run correctly on a
vanilla 1.1 beta installation, because the "serial" module is
unavailable.  This module would be available if "kerneld" were
running, but it is not started until later.

Note that the "auto" keyword in "/etc/modules", which is intended to
allow early start of "kerneld", does not work either; this has been
reported as a separate bug.

I suggest adding "serial" to the default "/etc/modules" until a better
solution can be found.  I worked around the problem by compiling
"serial" into the kernel directly.

I have reported this as a kernel-image bug because I believe it is a
consequence of mis-configuration of the kernel.